## golang-github-theupdateframework-go-tuf 0.5.2

=== client/python_interop/testdata/Makefile ===
PYTHON_TUF=python-tuf-v2.0.0

all:
	docker build -t tuf-gen ./$(PYTHON_TUF)
	docker run tuf-gen | tar x -C $(PYTHON_TUF)

clean:
	rm -rf $(PYTHON_TUF)/with{,out}-consistent-snapshot

.PHONY: all clean

=== debian/changelog ===
golang-github-theupdateframework-go-tuf (0.5.2-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Oct 2023 04:42:18 +0530

golang-github-theupdateframework-go-tuf (0.5.2-5) unstable; urgency=medium

  * Revert "Delete unncessary testdata from package" and lintian override
    instead. This unbreaks autopkgtests

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Sep 2023 06:54:01 -0400

golang-github-theupdateframework-go-tuf (0.5.2-4) unstable; urgency=medium

  * compile against flynn/docopt -> docopt/docopt

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 11 Sep 2023 20:43:08 -0400

golang-github-theupdateframework-go-tuf (0.5.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Aug 2023 20:14:28 -0400

golang-github-theupdateframework-go-tuf (0.5.2-2) experimental; urgency=medium

  * Incorportated ftp-master review for debian/copyright
  * Target experimental

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 12 Jul 2023 07:26:45 -0400

golang-github-theupdateframework-go-tuf (0.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #1030557)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Feb 2023 19:07:03 -0500

=== debian/control ===
Source: golang-github-theupdateframework-go-tuf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-docopt-docopt-go-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-golang-leveldb-dev,
               golang-github-google-gofuzz-dev,
               golang-github-secure-systems-lab-go-securesystemslib-dev,
               golang-github-stretchr-testify-dev,
               golang-github-syndtr-goleveldb-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-term-dev,
               golang-gopkg-check.v1-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf.git
Homepage: https://github.com/theupdateframework/go-tuf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/theupdateframework/go-tuf

Package: golang-github-theupdateframework-go-tuf-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-dustin-go-humanize-dev,
         golang-github-docopt-docopt-go-dev,
         golang-github-golang-leveldb-dev,
         golang-github-google-gofuzz-dev,
         golang-github-secure-systems-lab-go-securesystemslib-dev,
         golang-github-stretchr-testify-dev,
         golang-github-syndtr-goleveldb-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-term-dev,
         golang-gopkg-check.v1-dev,
         ${misc:Depends}
Description: Securing software in golang (library)
 The Update Framework (TUF) helps developers maintain the security of software
 update systems, providing protection even against attackers that compromise
 the repository or signing keys. TUF provides a flexible framework and
 specification that developers can adopt into any software update system.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := python_interop go-tuf/cmd/tuf

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	dh_auto_test -O--builddirectory=_build -O--buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/theupdateframework/go-tuf/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-theupdateframework-go-tuf 0.6.1

=== debian/changelog ===
golang-github-theupdateframework-go-tuf (0.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Nov 2023 22:55:28 +0000

## golang-github-theupdateframework-go-tuf 2.0.2

=== debian/changelog ===
golang-github-theupdateframework-go-tuf (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 25 Oct 2024 09:07:42 +0200

golang-github-theupdateframework-go-tuf (2.0.2-1~exp0) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - To experimental due to rekor + sigstore/sigstore using v0.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 23 Oct 2024 08:07:34 +0200

=== debian/control ===
Source: golang-github-theupdateframework-go-tuf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-go-logr-stdr-dev,
               golang-github-secure-systems-lab-go-securesystemslib-dev,
               golang-github-sigstore-sigstore-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf.git
Homepage: https://github.com/theupdateframework/go-tuf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/theupdateframework/go-tuf

Package: golang-github-theupdateframework-go-tuf-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-go-logr-stdr-dev,
         golang-github-secure-systems-lab-go-securesystemslib-dev,
         golang-github-sigstore-sigstore-dev,
         golang-github-spf13-cobra-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends},
Description: Securing software in golang (library)
 The Update Framework (TUF) helps developers maintain the security of software
 update systems, providing protection even against attackers that compromise
 the repository or signing keys. TUF provides a flexible framework and
 specification that developers can adopt into any software update system.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

override_dh_auto_test:
#--- FAIL: TestDownLoadFile (0.00s)
#    --- FAIL: TestDownLoadFile/success (0.00s)
#    --- PASS: TestDownLoadFile/invalid_url (0.00s)
#    --- PASS: TestDownLoadFile/invalid_url_format (0.00s)
#    --- FAIL: TestDownLoadFile/invalid_path (0.00s)
#    --- FAIL: TestDownLoadFile/data_too_long (0.00s)
#FAIL
#FAIL	github.com/theupdateframework/go-tuf/metadata/fetcher	0.007s
	rm -fv _build/src/github.com/theupdateframework/go-tuf/metadata/fetcher/fetcher_test.go
#exit status 1
#FAIL	github.com/theupdateframework/go-tuf/metadata/trustedmetadata	0.004s
	rm -fv _build/src/github.com/theupdateframework/go-tuf/metadata/trustedmetadata/trustedmetadata_test.go
#exit status 1
#FAIL	github.com/theupdateframework/go-tuf/metadata	0.003s
	rm -fv _build/src/github.com/theupdateframework/go-tuf/metadata/metadata_test.go
	rm -fv _build/src/github.com/theupdateframework/go-tuf/metadata/metadata_api_test.go
	dh_auto_test -O--builddirectory=_build -O--buildsystem=golang

## golang-github-theupdateframework-go-tuf 2.0.2%2B0.7.0

=== debian/changelog ===
golang-github-theupdateframework-go-tuf (2.0.2+0.7.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Add myself to Uploaders.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 12 Dec 2024 08:37:22 +0100

golang-github-theupdateframework-go-tuf (2.0.2+0.7.0-1~exp0) experimental; urgency=medium

  * Team upload.
  * Add v0 component with v0.7.0 release, merge old packaging.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Dec 2024 11:26:39 +0100

## golang-github-theupdateframework-go-tuf 2.0.2+0.7.0

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: golang-github-theupdateframework-go-tuf
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>
+Uploaders: Reinhard Tartler <siretart@tauware.de>,
+           Simon Josefsson <simon@josefsson.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-docopt-docopt-go-dev,
                golang-github-go-logr-stdr-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-sigstore-dev,
@@ -22,7 +24,8 @@
 Package: golang-github-theupdateframework-go-tuf-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-go-logr-stdr-dev,
+Depends: golang-github-docopt-docopt-go-dev,
+         golang-github-go-logr-stdr-dev,
          golang-github-secure-systems-lab-go-securesystemslib-dev,
          golang-github-sigstore-sigstore-dev,
          golang-github-spf13-cobra-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,13 @@
 #!/usr/bin/make -f
+
+# These are hacks for the v0 component/branch only.
+export DH_GOLANG_EXCLUDES := python_interop go-tuf/v0/cmd/tuf
+execute_before_dh_auto_build:
+	find _build/src/github.com/theupdateframework/go-tuf/v0 -type f -print0 | xargs -0 perl -pi -e 's,github.com/flynn/go-docopt,github.com/docopt/docopt-go,'
+	cd _build/src/github.com/theupdateframework/go-tuf/v0; \
+	 rgrep -q "github.com/theupdateframework/go-tuf/v0" . \
+	 || find . -type f -print0 | xargs -0 \
+	  perl -pi -e 's,github.com/theupdateframework/go-tuf,github.com/theupdateframework/go-tuf/v0,'
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
@@ -6,7 +15,7 @@
 override_dh_auto_install:
 	dh_auto_install -- --no-binaries
 
-override_dh_auto_test:
+execute_before_dh_auto_test:
 #--- FAIL: TestDownLoadFile (0.00s)
 #    --- FAIL: TestDownLoadFile/success (0.00s)
 #    --- PASS: TestDownLoadFile/invalid_url (0.00s)
@@ -23,4 +32,3 @@
 #FAIL	github.com/theupdateframework/go-tuf/metadata	0.003s
 	rm -fv _build/src/github.com/theupdateframework/go-tuf/metadata/metadata_test.go
 	rm -fv _build/src/github.com/theupdateframework/go-tuf/metadata/metadata_api_test.go
-	dh_auto_test -O--builddirectory=_build -O--buildsystem=golang

## golang-github-theupdateframework-go-tuf 2.3.0+0.7.0

=== Makefile ===
#
# Copyright 2024 The Update Framework Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License
#
# SPDX-License-Identifier: Apache-2.0

# We want to use bash
SHELL:=/bin/bash

# Set environment variables
CLIS:=tuf-client # tuf

# Default target
.PHONY: default
default: build

#####################
# build section
#####################

# Build
.PHONY: build
build: $(addprefix build-, $(CLIS))

# Target for building a Go binary
.PHONY: build-%
build-%:
	@echo "Building $*"
	@go build -o $* examples/cli/$*/main.go

#####################
# test section
#####################

# Test target
.PHONY: test
test:
	GODEBUG=rsa1024min=0 go test -race -covermode atomic ./...

#####################
# lint section
#####################

.PHONY: lint
lint:
	golangci-lint run

.PHONY: fmt
fmt:
	go fmt ./...

#####################
# examples section
#####################

# Target for running all examples
.PHONY: example-all
example-all: example-client example-repository example-multirepo example-tuf-client-cli example-root-signing

# Target for demoing the examples/client/client_example.go
.PHONY: example-client
example-client:
	@echo "Executing the following example - client/client_example.go"
	@cd examples/client/ && go run .

# Target for demoing the examples/repository/basic_repository.go
.PHONY: example-repository
example-repository:
	@echo "Executing the following example - repository/basic_repository.go"
	@cd examples/repository/ && go run .

# Target for demoing the examples/multirepo/client/client_example.go
.PHONY: example-multirepo
example-multirepo:
	@echo "Executing the following example - multirepo/client/client_example.go"
	@cd examples/multirepo/client/ && go run .

# Target for demoing the tuf-client cli
.PHONY: example-tuf-client-cli
example-tuf-client-cli: build-tuf-client
	@echo "Clearing any leftover artifacts..."
	./tuf-client reset --force
	@echo "Initializing the following https://jku.github.io/tuf-demo/ TUF repository"
	@sleep 2
	./tuf-client init --url https://jku.github.io/tuf-demo/metadata
	@echo "Downloading the following target file - rdimitrov/artifact-example.md"
	@sleep 2
	./tuf-client get --url https://jku.github.io/tuf-demo/metadata --turl https://jku.github.io/tuf-demo/targets rdimitrov/artifact-example.md

# Target for demoing the tuf-client cli with root-signing repo
.PHONY: example-root-signing
example-root-signing: build-tuf-client
	@echo "Clearing any leftover artifacts..."
	./tuf-client reset --force
	@echo "Downloading the initial root of trust"
	@curl -L "https://tuf-repo-cdn.sigstore.dev/5.root.json" > root.json
	@echo "Initializing the following https://tuf-repo-cdn.sigstore.dev TUF repository"
	@sleep 2
	./tuf-client init --url https://tuf-repo-cdn.sigstore.dev --file root.json
	@echo "Downloading the following target file - rekor.pub"
	@sleep 2
	./tuf-client get --url https://tuf-repo-cdn.sigstore.dev --turl https://tuf-repo-cdn.sigstore.dev/targets rekor.pub

# Clean target
.PHONY: clean
clean:
	@rm -rf examples/multirepo/client/bootstrap/
	@rm -rf examples/multirepo/client/download/
	@rm -rf examples/multirepo/client/metadata/
	@rm -rf examples/repository/tmp*
	@rm -rf examples/client/tmp*
	@rm -rf tuf_download
	@rm -rf tuf_metadata
	@rm -f tuf-client
	@rm -f root.json

=== debian/changelog ===
golang-github-theupdateframework-go-tuf (2.3.0+0.7.0-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Add Salsa CI
  * New upstream version 2.3.0
  * Re-add v0/
  * Add B-D/D golang-github-cenkalti-backoff-dev
  * Use watch v5
  * Bump debian/* copyright years
  * Standards-Version: 4.7.3
  * Drop Rules-Requires-Root: no
  * Silence Salsa CI lintian
  * Improve d/copyright adding lrc.config

  [ Chris Lamb ]
  * Fix reproducibility (Closes: #1122219)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 29 Dec 2025 09:46:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,24 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-cenkalti-backoff-dev,
                golang-github-docopt-docopt-go-dev,
                golang-github-go-logr-stdr-dev,
                golang-github-secure-systems-lab-go-securesystemslib-dev,
                golang-github-sigstore-sigstore-dev,
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-theupdateframework-go-tuf.git
 Homepage: https://github.com/theupdateframework/go-tuf
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/theupdateframework/go-tuf
 
 Package: golang-github-theupdateframework-go-tuf-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-docopt-docopt-go-dev,
+Depends: golang-github-cenkalti-backoff-dev,
+         golang-github-docopt-docopt-go-dev,
          golang-github-go-logr-stdr-dev,
          golang-github-secure-systems-lab-go-securesystemslib-dev,
          golang-github-sigstore-sigstore-dev,

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_install:
 	dh_auto_install -- --no-binaries
 
-execute_before_dh_auto_test:
+execute_after_dh_auto_build:
 #--- FAIL: TestDownLoadFile (0.00s)
 #    --- FAIL: TestDownLoadFile/success (0.00s)
 #    --- PASS: TestDownLoadFile/invalid_url (0.00s)

=== debian/watch ===
Version: 5
Template: Github
Owner: theupdateframework
Project: go-tuf
